#
# spec file for package freenx-client
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           freenx-client
BuildRequires:  doxygen
BuildRequires:  libnxcl-devel
BuildRequires:  libqt4-devel
BuildRequires:  libtool
Summary:        a Free NoMachine (NX) client
License:        GPL-2.0+
Group:          System/X11/Utilities
Version:        0.9
Release:        90.1
Url:            http://www.krename.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        freenx-client-%{version}.tar.bz2
Source1:        COPYING
Patch0:         gcc-4.3.diff
Patch1:         qtnx-install.diff
Patch2:         qtnx-fix-build.diff
Provides:       qtnx = 0.0.2
Obsoletes:      qtnx <= 0.0.2

%description
This is a free implementation of a NX session client.



Authors:
--------
    George Wright <gwright@kde.org>

%prep
%setup
%patch0
%patch1
%patch2
cp %{SOURCE1} .

%build
pushd qtnx
  qmake
  sed -r -i -e "s,^CXXFLAGS\s*=(.*),CXXFLAGS = \\1 $RPM_OPT_FLAGS," Makefile
  make %{?jobs:-j %jobs}
popd

%install
pushd qtnx
  make install INSTALL_ROOT=$RPM_BUILD_ROOT
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%_bindir/qtnx

%changelog
* Sat Oct  1 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Apr  4 2009 dmueller@suse.de
- rediff patches
* Mon Jul  7 2008 dmueller@suse.de
- fix build
* Tue Apr 15 2008 dmueller@suse.de
- fix typo
* Tue Apr  8 2008 dmueller@suse.de
- update to 0.9 (bnc#3752466):
  * separated out the build of the client library
  * some small bugfixes
* Tue Jan  9 2007 dmueller@suse.de
- fix lib installation (#231682)
* Sun Sep 10 2006 dmueller@suse.de
- Initial package
